/[suikacvs]/markup/slide/implementation/slide-show-winie.css
Suika

Contents of /markup/slide/implementation/slide-show-winie.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (show annotations) (download) (as text)
Sat Apr 23 06:56:36 2005 UTC (21 years, 4 months ago) by wakaba
Branch: MAIN
Changes since 1.1: +49 -6 lines
File MIME type: text/css
HTCs incorporated into CSSs as expression; xhtml2:title now shown as window title

1
2 /* s|slides */
3 slides {
4 position: absolute;
5 overflow: hidden;
6 height: 100%;
7 width: 100%;
8 left: 0; right: 0;
9 top: 0; bottom: 0;
10 margin: 0;
11 border-width: 0;
12 padding: 0;
13 font-family: "MS Gothic", "Arial", sans-serif;
14 behavior: expression(function (element) {
15 element.currentSlide = 0;
16
17 // h|head { display : none }
18 var head = element.getElementsByTagName ('head')[0];
19 head.style.display = 'none';
20
21 document.onkeydown = function () {
22 var slide = getSlideList ();
23 if (event.keyCode == 13 || event.keyCode == 39) {
24 element.currentSlide++;
25 if (element.currentSlide >= slide.length) element.currentSlide = 0;
26 showSlide (element.currentSlide);
27 event.returnValue = false;
28 } else if (event.keyCode == 8 || event.keyCode == 37) {
29 element.currentSlide--;
30 if (element.currentSlide < 0) element.currentSlide = slide.length - 1;
31 showSlide (element.currentSlide);
32 event.returnValue = false;
33 }
34 } /* keydown */
35
36 element.onmousedown = function () {
37 var slide = getSlideList ();
38 if (event.button == 1) {
39 element.currentSlide++;
40 if (element.currentSlide >= slide.length) element.currentSlide = 0;
41 showSlide (element.currentSlide);
42 event.returnValue = false;
43 }
44 }
45
46 function showSlide (n) {
47 var slide = getSlideList ();
48 for (var i = 0; i < slide.length; i++) {
49 slide[i].runtimeStyle.display = (i == n) ? 'block' : 'none';
50 }
51 }
52
53 function getSlideList () {
54 return window.document.getElementsByTagName ('slide');
55 }
56
57 runtimeStyle.behavior = 'none';
58 } (this)); /* NOTE: See also slide-style-winie.css */
59 }
60
61 /* s|slide */
62 slide {
63 width: 100%;
64 height: 100%;
65 border: groove 1px #C0C0C0;
66 font-size: 200%;
67 }

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24